summaryrefslogtreecommitdiffstats
path: root/tests/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functions.sh')
-rw-r--r--tests/functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index fe3ff5751..9239ab4f6 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -654,7 +654,7 @@ function ts_scsi_debug_init {
|| ts_skip "cannot load scsi_debug module (modprobe)"
# it might be still not loaded, modprobe.conf or whatever
- lsmod | grep -q "^scsi_debug " \
+ lsmod 2>/dev/null | grep -q "^scsi_debug " \
|| ts_skip "scsi_debug module not loaded (lsmod)"
udevadm settle
@@ -683,7 +683,7 @@ function ts_scsi_debug_rmmod {
# not exist at all.
[ $UID -eq 0 ] || return 0
[ -n "$TS_DEVICE" ] || return 0
- lsmod | grep -q "^scsi_debug " || return 0
+ lsmod 2>/dev/null | grep -q "^scsi_debug " || return 0
udevadm settle